Subject: [Spridgets] Bugeye Speedo

From: Ryan via Spridgets <[email-masked]>
Date: Wed, 8 Jun 2022 06:46:31 -0400

So it appears from comparison that I broke the top 1/2” or so off my speedo cable. It looks shorter than pictures and my midget cable and when in the back of the speedo it vibrates but doesn’t register speed. My question is I think I have the tip stuck in the speedo but I can’t get the speedo out because the ignition lamp seems to be welded to the back of the speedo with wires that don’t come off. Any tips or am I just missing something??

Thanks
Ryan

Sent from my iPhone
------------------------

[email-masked]

Donate: http://www.team.net/donate.html
Suggested annual donation: $12.75

Archive: http://www.team.net/pipermail/spridgets  http://autox.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/spridgets/[email-masked]